Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 04 Jun 2021 06:40:19 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery It has been 11 days! since I’ve placed my order. It was expected to be delivered 2 days! after I’ve made the order which was on the 24th of May. How long am I supposed to wait for? Could you just at least give me a specific date. Also, I have sent another email before and didn’t get anything other than an apology. My order number is 7463851117. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2667948